Fix compilation error with scons and older pythons
[blender.git] / SConstruct
index f27ba1754c12c6a70c08c89e2d83535fd45959ab..0c85fe11cdcd76e2d03fe5f0fe655378586039a3 100644 (file)
@@ -285,7 +285,7 @@ if env['OURPLATFORM']=='darwin':
     import subprocess
 
     command = ["%s"%env['CC'], "--version"]
-    line = subprocess.check_output(command)
+    line = btools.get_command_output(command)
     ver = re.search(r'[0-9]+(\.[0-9]+[svn]+)+', line) or re.search(r'[0-9]+(\.[0-9]+)+', line) # read the "based on LLVM x.xsvn" version here, not the Apple version
     if ver:
         env['CCVERSION'] = ver.group(0).strip('svn')